package sgc.portal.co.co0107.service;

import org.springframework.stereotype.Service;

import sgc.portal.base.util.EasyHashMap;
import sgc.portal.co.co0107.dto.CO01070001USearch;
import sgc.portal.co.co0107.persistence.CO01070001UMapper;

import java.util.List;

@Service
public class CO01070001UService {
    private final CO01070001UMapper mapper;

    public CO01070001UService(CO01070001UMapper mapper) {
        this.mapper = mapper;
    }

    public List<EasyHashMap<String, Object>> getList1(CO01070001USearch search) {
        return mapper.getList1(search);
    }
    
    public List<EasyHashMap<String, Object>> getList2(CO01070001USearch search) {
        return mapper.getList2(search);
    }
}
